- Qt 6.4
- Qt 3D
- C++ Classes
- Qt3DAnimation
- QAnimationAspect
- Qt 6.4.2 Reference Documentation

# QAnimationAspect Class

class Qt3DAnimation::QAnimationAspect

Provides key-frame animation capabilities to Qt 3D. More...

Header: | #include <QAnimationAspect>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3danimation) target_link_libraries(mytarget PRIVATE Qt6::3danimation)
qmake: | QT += 3danimation
Since: | Qt 5.9
Inherits: | Qt3DCore::QAbstractAspect

- List of all members, including inherited members

## Public Functions

| QAnimationAspect(QObject *parent = nullptr)

## Detailed Description

QAnimationAspect provides key-frame animation to Qt 3D.

## Member Function Documentation

### QAnimationAspect::QAnimationAspect(QObject *parent = nullptr)

Constructs a new QAnimationAspect with parent.